package com.bocloud.ims.service.internal.worker;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/12
 */
public class Option {

    private boolean sudo;
    private boolean become;
    private String becomeUser;
    private String becomePass;

    public Option() {
    }

    public Option(boolean sudo) {
        this.sudo = sudo;
    }

    public Option(boolean sudo, boolean become) {
        this.sudo = sudo;
        this.become = become;
    }

    public Option(boolean sudo, boolean become, String becomeUser, String becomePass) {
        this.sudo = sudo;
        this.become = become;
        this.becomeUser = becomeUser;
        this.becomePass = becomePass;
    }

    public boolean isSudo() {
        return this.sudo;
    }

    public void setSudo(boolean sudo) {
        this.sudo = sudo;
    }

    public boolean isBecome() {
        return this.become;
    }

    public void setBecome(boolean become) {
        this.become = become;
    }

    public String getBecomeUser() {
        return this.becomeUser;
    }

    public void setBecomeUser(String becomeUser) {
        this.becomeUser = becomeUser;
    }

    public String getBecomePass() {
        return this.becomePass;
    }

    public void setBecomePass(String becomePass) {
        this.becomePass = becomePass;
    }
}
